org.apache.http.impl.conn

## Class SchemeRegistryFactory

- java.lang.Object
- - org.apache.http.impl.conn.SchemeRegistryFactory

Deprecated.
(4.3) use `HttpClientBuilder`.

    @Contract(threading=SAFE)
    @Deprecated
    public final class SchemeRegistryFactory
    extends Object

Since:
  4.1

### Constructor Summary

Constructors
Constructor and Description
`SchemeRegistryFactory()` Deprecated.

### Method Summary

Methods
`static SchemeRegistry` `createDefault()` Deprecated. Initializes default scheme registry based on JSSE defaults.
`static SchemeRegistry` `createSystemDefault()` Deprecated. Initializes default scheme registry using system properties as described in "JavaTM Secure Socket Extension (JSSE) Reference Guide for the JavaTM 2 Platform Standard Edition 5

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Constructor Detail

#### SchemeRegistryFactory

    public SchemeRegistryFactory()

Deprecated.

### Method Detail

#### createDefault

    public static SchemeRegistry createDefault()

Deprecated.
Initializes default scheme registry based on JSSE defaults. System properties will not be taken into consideration.

#### createSystemDefault

    public static SchemeRegistry createSystemDefault()

Deprecated.
Initializes default scheme registry using system properties as described in "JavaTM Secure Socket Extension (JSSE) Reference Guide for the JavaTM 2 Platform Standard Edition 5

The following system properties are taken into account by this method:

- ssl.TrustManagerFactory.algorithm
- javax.net.ssl.trustStoreType
- javax.net.ssl.trustStore
- javax.net.ssl.trustStoreProvider
- javax.net.ssl.trustStorePassword
- java.home
- ssl.KeyManagerFactory.algorithm
- javax.net.ssl.keyStoreType
- javax.net.ssl.keyStore
- javax.net.ssl.keyStoreProvider
- javax.net.ssl.keyStorePassword

Since:
  4.2